import { ComponentFixture, TestBed } from '@angular/core/testing';

import { LoadBalancerDetailsListenersComponent } from './load-balancer-details-listeners.component';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { RouterTestingModule } from '@angular/router/testing';

describe('LoadBalancerDetailsListenersComponent', () => {
  let component: LoadBalancerDetailsListenersComponent;
  let fixture: ComponentFixture<LoadBalancerDetailsListenersComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [LoadBalancerDetailsListenersComponent],
      imports: [
        HttpClientTestingModule, RouterTestingModule,
      ],
    })
      .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(LoadBalancerDetailsListenersComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
